Name:        pro-font-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     MIT
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/ProFont.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 ProFontWindowsNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProFontWindowsNerdFont-Regular.ttf
install -Dm644 ProFontWindowsNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProFontWindowsNerdFontMono-Regular.ttf
install -Dm644 ProFontWindowsNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProFontWindowsNerdFontPropo-Regular.ttf
install -Dm644 ProFontIIxNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProFontIIxNerdFont-Regular.ttf
install -Dm644 ProFontIIxNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProFontIIxNerdFontMono-Regular.ttf
install -Dm644 ProFontIIxNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProFontIIxNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/ProFontWindowsNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/ProFontWindowsNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/ProFontWindowsNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/ProFontIIxNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/ProFontIIxNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/ProFontIIxNerdFontPropo-Regular.ttf
%license "LICENSE"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
